diff -x .deps -x autom4te.cache -ur mtr-0.79/config.h.in mtr-0.80/config.h.in
--- mtr-0.79/config.h.in	2010-06-07 08:59:06.000000000 +0200
+++ mtr-0.80/config.h.in	2010-07-13 08:12:40.000000000 +0200
@@ -64,6 +64,9 @@
 /* Define to 1 if you have the `seteuid' function. */
 #undef HAVE_SETEUID
 
+/* Define to 1 if you have the <socket.h> header file. */
+#undef HAVE_SOCKET_H
+
 /* Define if your system has socklen_t */
 #undef HAVE_SOCKLEN_T
 
@@ -82,6 +85,9 @@
 /* Define if you have struct in_addr */
 #undef HAVE_STRUCT_INADDR
 
+/* Define to 1 if you have the <sys/socket.h> header file. */
+#undef HAVE_SYS_SOCKET_H
+
 /* Define to 1 if you have the <sys/stat.h> header file. */
 #undef HAVE_SYS_STAT_H
 
diff -x .deps -x autom4te.cache -ur mtr-0.79/configure mtr-0.80/configure
--- mtr-0.79/configure	2010-06-08 16:34:39.000000000 +0200
+++ mtr-0.80/configure	2010-07-13 08:26:30.000000000 +0200
@@ -2039,7 +2039,7 @@
 
 # Define the identity of the package.
  PACKAGE=mtr
- VERSION=0.79
+ VERSION=0.80
 
 
 cat >>confdefs.h <<_ACEOF
diff -x .deps -x autom4te.cache -ur mtr-0.79/configure.in mtr-0.80/configure.in
--- mtr-0.79/configure.in	2010-06-08 13:07:03.000000000 +0200
+++ mtr-0.80/configure.in	2010-06-08 16:35:08.000000000 +0200
@@ -1,5 +1,5 @@
 AC_INIT(mtr.c)
-AM_INIT_AUTOMAKE(mtr, 0.79)
+AM_INIT_AUTOMAKE(mtr, 0.80)
 
 
 AC_SUBST(GTK_OBJ)
diff -x .deps -x autom4te.cache -ur mtr-0.79/dns.c mtr-0.80/dns.c
--- mtr-0.79/dns.c	2010-06-07 08:58:23.000000000 +0200
+++ mtr-0.80/dns.c	2010-07-13 08:10:33.000000000 +0200
@@ -310,12 +310,12 @@
 int use_dns = 1;
 
 #ifdef res_ninit
-#define RES_INIT() res_ninit(&myres);
+#define MY_RES_INIT() res_ninit(&myres);
 #define RES_MKQUERY(a, b, c, d, e, f, g, h, i) \
     res_nmkquery(&myres, a, b, c, d, e, f, g, h, i)
 struct __res_state myres;
 #else
-#define RES_INIT() res_init();
+#define MY_RES_INIT() res_init();
 #define RES_MKQUERY(a, b, c, d, e, f, g, h, i) \
     res_mkquery(a, b, c, d, e, f, g, h, i)
 #define myres _res
@@ -495,7 +495,7 @@
   int option,i;
 
   if (!dns) return;
-  RES_INIT();
+  MY_RES_INIT();
   if (!myres.nscount) {
     fprintf(stderr,"No nameservers defined.\n");
     exit(-1);
diff -x .deps -x autom4te.cache -ur mtr-0.79/gtk.c mtr-0.80/gtk.c
--- mtr-0.79/gtk.c	2008-10-10 20:56:12.000000000 +0200
+++ mtr-0.80/gtk.c	2010-07-13 08:25:58.000000000 +0200
@@ -303,6 +303,14 @@
   N_COLS
 };
 
+// Trick to cast a pointer to integer.....
+// We are mis-using a pointer as a single integer. On 64-bit
+// architectures, the pointer is 64 bits and the integer only 32. 
+// The compiler warns us of loss of precision. However we know we
+// casted a normal 32-bit integer into this pointer a few microseconds
+// earlier, so it is ok. Nothing to worry about.... -- REW.
+#define POINTER_TO_INT(p) ((int)(long)(p))
+
 void  float_formatter(GtkTreeViewColumn *tree_column,
   GtkCellRenderer   *cell, 
   GtkTreeModel      *tree_model,
@@ -311,7 +319,7 @@
 {
   gfloat f;
   gchar text[64];
-  gtk_tree_model_get(tree_model, iter, (gint)data, &f, -1);
+  gtk_tree_model_get(tree_model, iter, POINTER_TO_INT(data), &f, -1);
   sprintf(text, "%.2f", f);
   g_object_set(cell, "text", text, NULL);
 }
@@ -324,7 +332,7 @@
 {
   gfloat f;
   gchar text[64];
-  gtk_tree_model_get(tree_model, iter, (gint)data, &f, -1);
+  gtk_tree_model_get(tree_model, iter, POINTER_TO_INT(data), &f, -1);
   sprintf(text, "%.1f%%", f);
   g_object_set(cell, "text", text, NULL);
 }
Only in mtr-0.79: Makefile
diff -x .deps -x autom4te.cache -ur mtr-0.79/net.c mtr-0.80/net.c
--- mtr-0.79/net.c	2010-06-07 08:58:25.000000000 +0200
+++ mtr-0.80/net.c	2010-07-13 08:10:33.000000000 +0200
@@ -297,8 +297,10 @@
 
   ttl = index + 1;
 
+#ifdef ENABLE_IPV6
   /* offset for ipv6 checksum calculation */
   int offset = 6;
+#endif
 
   if ( packetsize < MINPACKET ) packetsize = MINPACKET;
   if ( packetsize > MAXPACKET ) packetsize = MAXPACKET;
diff -x .deps -x autom4te.cache -ur mtr-0.79/NEWS mtr-0.80/NEWS
--- mtr-0.79/NEWS	2010-06-08 13:14:40.000000000 +0200
+++ mtr-0.80/NEWS	2010-07-13 08:11:56.000000000 +0200
@@ -1,4 +1,6 @@
 WHAT'S NEW?
+  V0.80 Some compilation fixes for BSD by Jeremy Chadwick 
+        <freebsd@jdc.parodius.com>
   V0.78/0.79 some compilation fixes for BSD&others by 
         Thomas Klausner <wiz@NetBSD.org>
   V0.76 display load sharing hosts in --raw output. 
Only in mtr-0.79: notified
